	SUBROUTINE FIXSVA(ICH1,ICH2,FILE,PC,ICNT)
	INTEGER*2 FILE(4),PC(1),ICNT(1)
C
C	READ HEADER AND DATA FROM SAVE AREA 1 - 64
C
	ITP = 0
	IR=IREADW(256,ICNT,ITP,ICH1)
	IWDS = ICNT(84)
	SUM=0.0
	MAX=0
	MIN=32000
	IWT = 1
	IRD = 1
	DO 1 JJ = 1,IWDS,4096
	IR=IREADW(4096,PC,IRD,ICH1)
	IRD = IRD + 16
C
C	WRITE DATA TO SAVE AREA ZERO
C
	IW=IWRITW(4096,PC,IWT,ICH2)
	IWT = IWT + 16
	DO 1 I=1,4096
	IF(PC(I).GT.MAX) MAX=PC(I)
	IF(PC(I).LT.MIN) MIN=PC(I)
	A=PC(I)
1	SUM=SUM+A
C
C	REQUIRED WHEN NEW "FILE" IS CREATED
C
	ICNT(1)=FILE(1)
	ICNT(2)=FILE(2)
	ICNT(3)=FILE(3)
	ICNT(4)=FILE(4)
	ICNT(7) = 0
	ICNT(87)=MAX
	ICNT(88)=MIN
	ICNT(91)=SUM/4096.0
C
C	SET FLAG FOR MACRO CONTINUATION
C
	ICNT(95) = 1
	ITP = 0
C
C	SVAR00 ADRESSES STUDY CONTAINED IN FILE AND SET FOR "CA"
C
	IW=IWRITW(256,ICNT,ITP,ICH2)
	RETURN
	END
